function RES=GetPoly(A,X)
% Знаходження значення поліному з коефіцієнтами в матриці A для аргументу X
% Аргументи:
%   A - коефіцієнти поліному
%   X - аргументи
% Результати:
%   RES - значення поліному
% Обмеження:
%   1) аргументи слідують у порядку A(1)+A(2)*X+A(3)*X^2+...

% визначаємо кількість коефіцієнтів полінома (або ж степінь полінома)
[m,n]=size(A);
if (n==1) A=A'; [m,n]=size(A); end      % степінь полінома рівна n-1

%[mX,nX]=size(X);
%if (nX==1) X=X'; [mX,nX]=size(X); end

% знаходимо значення полінома за формулою:
% RES(1)+X*(RES(2)+X*(RES(3)+...))
RES=X;
RES(:,:)=A(n);
for i=n-1:-1:1
    RES=RES.*X+A(i);
end

% очищуємо локальні змінні
clear m n i;